commit: bbb215daf38b69f9ec31dbefea248adc7e00f42c
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 25 08:18:53 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Feb 25 08:19:31 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbb215da
app-office/texstudio: bump to 3.1.1
Package-Manager: Portage-3.0.15, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-office/texstudio/Manifest | 1 +
...texstudio-9999.ebuild => texstudio-3.1.1.ebuild} | 21 ++++++++++++++-------
app-office/texstudio/texstudio-9999.ebuild | 10 +++++++---
3 files changed, 22 insertions(+), 10 deletions(-)
diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 81e05cae04d..553790034d9 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -1,3 +1,4 @@
DIST texstudio-3.0.4.tar.gz 83191627 BLAKE2B
a800b369967051a7154a1ec5d00ae735477fdbb4237e6653bf5469c5fcfa1083fa28f56e3e6bda304821084281e1bf02dfdc4738e6762072d7fb43988e029641
SHA512
094fc53cab388d2e5f9ecfc1172a6ae853c04abe746ed03afe8819be3acdf4e7cb2bdf9ce1edda43fda9396c260f2063aa05ca9aae66871505555d7da6c49beb
DIST texstudio-3.0.5.tar.gz 83231803 BLAKE2B
739a57fa5305ad8044f8fc13903910ee743cac353aeed53b298dd3d50291c4e5b2d2b67db7785305d1f1c71ba805769a57b46374c762efd39bc1a450f1df470e
SHA512
240d177ffbd64f51a8f2aa93644cae29764876ed6fdd03733da05ed97a8ec10e21c1f3aebcb05b35617083abf0442b60ffe8f0a89edb28adacaf9ebe40609a48
DIST texstudio-3.1.0.tar.gz 83232492 BLAKE2B
6e890fb19a51d8f1fdecbf844f674579391cfea4c3e41535db1daca78d24774e085d7c3c7d2c1eae6e7c287e9ab1d465e1082a25e95b95a7b62930a416bd654d
SHA512
83d758102b597eae928e68a59035a83d90a950920995dc992a4478f8eba8ccb1f038a01bd07cce2681f354cad735394b2637cb79899d8e89960bae258652b3d8
+DIST texstudio-3.1.1.tar.gz 83239128 BLAKE2B
7aeedba9ec5a404d51e8854a67c2e07f4efdc03882ebe83ba4d5e99376dcac5c906b40f093129106cfbec716be6001ae6c1848f323147289a5d252c713cb25a6
SHA512
b8c843693d781052914f43215ee42c7bafd4bffe676aede966bafa08b4b74616b55a60e611878a8f0188c84d364ba27f86425adfd4e640c7d4390b0fdfcee8c7
diff --git a/app-office/texstudio/texstudio-9999.ebuild
b/app-office/texstudio/texstudio-3.1.1.ebuild
similarity index 77%
copy from app-office/texstudio/texstudio-9999.ebuild
copy to app-office/texstudio/texstudio-3.1.1.ebuild
index 0526576f09e..3d74c1d7efa 100644
--- a/app-office/texstudio/texstudio-9999.ebuild
+++ b/app-office/texstudio/texstudio-3.1.1.ebuild
@@ -3,22 +3,23 @@
EAPI=7
-MY_PV="${PV/_/}"
-inherit desktop git-r3 qmake-utils xdg
+inherit desktop qmake-utils xdg
+MY_PV="${PV/_/}"
DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
-EGIT_REPO_URI="https://github.com/texstudio-org/texstudio.git"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz ->
${P}.tar.gz"
S="${WORKDIR}/${PN}-${MY_PV}"
LICENSE="GPL-2"
SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
IUSE="video"
DEPEND="
app-text/hunspell:=
app-text/poppler[qt5]
- >=dev-libs/quazip-1.0:0=
+ >=dev-libs/quazip-0.7.3-r1:0=
dev-qt/designer:5
dev-qt/qtcore:5
dev-qt/qtconcurrent:5
@@ -36,7 +37,8 @@ DEPEND="
x11-libs/libXext
video? ( >=media-libs/phonon-4.11.0 )
"
-RDEPEND="${DEPEND}
+RDEPEND="
+ ${DEPEND}
app-text/ghostscript-gpl
app-text/psutils
media-libs/netpbm
@@ -44,13 +46,17 @@ RDEPEND="${DEPEND}
"
BDEPEND="virtual/pkgconfig"
-PATCHES=( "${FILESDIR}/${PN}-3.0.5-quazip1.patch" ) # TODO: upstream
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.5-quazip1.patch" # TODO: upstream
+)
src_prepare() {
xdg_src_prepare
+ if has_version "<dev-libs/quazip-1.0"; then
+ sed -e "/PKGCONFIG/s/quazip1-qt5/quazip/" -i ${PN}.pro || die
+ fi
rm -r src/quazip || die
- # TODO: find hunspell quazip utilities/poppler-data qtsingleapplication
-delete || die
if use video; then
sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
@@ -69,5 +75,6 @@ src_install() {
for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
done
+
emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
}
diff --git a/app-office/texstudio/texstudio-9999.ebuild
b/app-office/texstudio/texstudio-9999.ebuild
index 0526576f09e..c37e0bd19c1 100644
--- a/app-office/texstudio/texstudio-9999.ebuild
+++ b/app-office/texstudio/texstudio-9999.ebuild
@@ -3,9 +3,9 @@
EAPI=7
-MY_PV="${PV/_/}"
inherit desktop git-r3 qmake-utils xdg
+MY_PV="${PV/_/}"
DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
EGIT_REPO_URI="https://github.com/texstudio-org/texstudio.git"
@@ -36,7 +36,8 @@ DEPEND="
x11-libs/libXext
video? ( >=media-libs/phonon-4.11.0 )
"
-RDEPEND="${DEPEND}
+RDEPEND="
+ ${DEPEND}
app-text/ghostscript-gpl
app-text/psutils
media-libs/netpbm
@@ -44,7 +45,9 @@ RDEPEND="${DEPEND}
"
BDEPEND="virtual/pkgconfig"
-PATCHES=( "${FILESDIR}/${PN}-3.0.5-quazip1.patch" ) # TODO: upstream
+PATCHES=(
+ "${FILESDIR}/${PN}-3.0.5-quazip1.patch" # TODO: upstream
+)
src_prepare() {
xdg_src_prepare
@@ -69,5 +72,6 @@ src_install() {
for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
done
+
emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
}